Released docs. You are viewing the documentation published with v0.46.0. Development docs are available at Latest.
Create one adopter-authorized credential offer
const url = 'https://example.com/offers';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"credentialConfigurationId":"example","subjects":[{"role":"example","selectorValues":{"additionalProperty":"example"}}],"transactionCode":false}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/offers \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "credentialConfigurationId": "example", "subjects": [ { "role": "example", "selectorValues": { "additionalProperty": "example" } } ], "transactionCode": false }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”object
object
object
Responses
Section titled “Responses”Credential offer
object
object
object
object
object
Example
{ "credentialOffer": { "grants": { "urn:ietf:params:oauth:grant-type:pre-authorized_code": { "tx_code": { "input_mode": "numeric", "length": 6 } } } }}Headers
Section titled “Headers”The offer request is outside the published catalog
object
Example
{ "error": "invalid_request"}Headers
Section titled “Headers”The offer bearer token is missing or refused
object
Example
{ "error": "invalid_request"}Headers
Section titled “Headers”Backing Evidence refused authenticated catalog discovery
object
Examples
The authenticated Evidence catalog was refused
{ "error": "invalid_credential_request", "error_description": "the credential source refused this request"}Headers
Section titled “Headers”The configured request deadline elapsed
object
Example
{ "error": "invalid_request"}Headers
Section titled “Headers”The request body exceeds the configured byte limit
object
Example
{ "error": "invalid_request"}Headers
Section titled “Headers”The request budget is spent; retry after the interval in Retry-After
object
Example
{ "error": "invalid_request"}Headers
Section titled “Headers”Authorization, Evidence discovery, or bounded state is unavailable
object
Example
{ "error": "invalid_request"}Headers
Section titled “Headers”Cookies on Registry Stack
We use optional cookies to understand how you use the main Registry Stack website and this documentation. If you contact us, we may link this activity to your enquiry. You can change your choice at any time. Read the privacy policy.
Your browser asks sites not to track you, so optional tracking stays off.
We could not use or save that choice. Optional tracking remains off.